import 'package:cramr_ui_lib/routes/verb_indicative_study_form.dart';
import 'package:cramr_ui_lib/theme/custom_theme.dart';
import 'package:flutter/material.dart';

/// The Route that allows you to study the indicative of the verb
class VerbIndicativeStudyRoute extends StatelessWidget {

  @override
  Widget build(BuildContext context) {
    return MaterialApp(
      title: "Verbomatique",
      theme: CustomTheme.lightTheme,
      home: SafeArea(
        key: UniqueKey(),
        child: Scaffold(
          body: Container(
              key: UniqueKey(),
              child: VerbIndicativeStudyForm()),
          bottomNavigationBar: BottomNavigationBar(
            key: UniqueKey(),
            type: BottomNavigationBarType.fixed,
            items: [
              BottomNavigationBarItem(
                  icon: _backIcon(context),
                  label: 'terug'),
              BottomNavigationBarItem(
                icon: _forwardIcon(context),
                label: 'toets',
              )
            ],
          ),
        ),
      ),
    );
  }

  InkWell _forwardIcon(BuildContext context) {
    return InkWell(
      key: Key('forward_button'),
      child: Icon(Icons.arrow_forward),
      onTap: () {
        Navigator.pushNamed(context, '/verbIndicativeTestRoute');
      },
    );
  }

  InkWell _backIcon(BuildContext context) {
    return InkWell(
        key: Key('back_button'),
        child: Icon(Icons.arrow_back),
        onTap: () {
          Navigator.restorablePopAndPushNamed(context, '/verbSelectionRoute');
        }
    );
  }
}