import 'package:cramr_ui_lib/model/verb_test_model.dart';
import 'package:cramr_ui_lib/routes/verb_indicative_test_form.dart';
import 'package:cramr_ui_lib/theme/custom_theme.dart';
import 'package:flutter/material.dart';
import 'package:provider/provider.dart';

/// The Route that allows you to test your knowledge of the verb that you want
/// to learn
class VerbIndicativeTestRoute extends StatelessWidget {

  @override
  Widget build(BuildContext context) {
    return MaterialApp(
        theme: CustomTheme.lightTheme,
        home: SafeArea(
          child: Scaffold(
            body: Container(child: VerbIndicativeTestForm()),
            bottomNavigationBar: BottomNavigationBar(
              items: [
                BottomNavigationBarItem(
                  icon: _backButton(context),
                  label: 'terug',
                ),
                BottomNavigationBarItem(
                  icon: _evaluateButton(context),
                  label: 'rapport',
                ),
              ],
            ),
          ),
        )
    );
  }

  InkWell _backButton(BuildContext context) {
    return InkWell(
      child: Icon(Icons.arrow_back,),
      onTap: () {
        Navigator.restorablePopAndPushNamed(context, '/verbIndicativeStudyRoute');
      },
    );
  }


  InkWell _evaluateButton(BuildContext context) {
    final VerbTestModel testModel = Provider.of<VerbTestModel>(context, listen: false);
    return InkWell(
        key: Key('evaluate_${testModel.verb.infinitive}'),
        child: Icon(Icons.arrow_forward),
        onTap: () {
          if (testModel.isComplete()) {
            Navigator.restorablePopAndPushNamed(context, '/verbEvaluateRoute');
          }
        }
    );
  }
}